Bug 467745 - Wrong rendering of cyrillic letter tse (ц) at 8pt and 10pt
Summary: Wrong rendering of cyrillic letter tse (ц) at 8pt and 10pt
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: freetype
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-10-20 17:17 UTC by Alexey Torkhov
Modified: 2009-07-15 09:04 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-15 09:04:49 UTC


Attachments (Terms of Use)
Bad rendering at 8pt (37.62 KB, image/png)
2008-11-22 09:32 UTC, Alexey Torkhov
no flags Details
Bad rendering at 10pt (36.34 KB, image/png)
2008-11-22 09:33 UTC, Alexey Torkhov
no flags Details

Description Alexey Torkhov 2008-10-20 17:17:57 UTC
Description of problem:
Cyrillic letter small tse (ц, U+0446) is wrongly rendered at 8pt and 10pt - it misses a "tail" at bottom right.

Version-Release number of selected component (if applicable):
dejavu-fonts-2.24-3.fc9.noarch
freetype-2.3.5-6.fc9.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Open DejaVu Sans in charmap.
2. Select 8pt or 10pt size.
3. Look at ц (U+0446).
  
Actual results:
No tail.

Expected results:
With tail.

Additional info:
This is font and size of default installation and is quite annoying as is in such way letter is hard to read.

Comment 1 Ben Laenen 2008-10-21 19:03:23 UTC
The glyph has hinting instructions in DejaVu to make sure the tail always appears. So you're probably using the Freetype autohinter, and hitting a bug in that (fonts don't have control over the autohinter).

Comment 2 Alexey Torkhov 2008-10-21 19:10:45 UTC
Erm, how to find out, am I using autohinter or not?

I'm not using freetype-freeworld from linva, only stock one from Fedora.

Comment 3 Ben Laenen 2008-10-21 19:19:52 UTC
Open your character map and look for U+F000 () in DejaVu Sans. If it looks like "88" you're using the autohinter. If it has a different number you're using hinting instructions from the font.

If you're only using Fedora packages you most likely have the autohinter enabled and the bytecode interpreter for the hinting instructions disabled (because of a patents issue).

Comment 4 Nicolas Mailhot 2008-10-21 19:59:11 UTC
(In reply to comment #2)
> Erm, how to find out, am I using autohinter or not?
> 
> I'm not using freetype-freeworld from linva, only stock one from Fedora.

If you're using stock Fedora you have the autohinter, which means the bug should be reassigned to freetype (but do the check Ben suggested first)

Comment 5 Alexey Torkhov 2008-10-21 20:06:19 UTC
Yes, it's 88, so autohinter.

Nothing could be fixed in font itself? Reassign to freetype?

Comment 6 Ben Laenen 2008-10-22 10:54:24 UTC
(In reply to comment #5)
> Nothing could be fixed in font itself?

Indeed, a font can't influence the behaviour of the autohinter in any way.

> Reassign to freetype?

Yes.

Comment 7 Behdad Esfahbod 2008-11-19 15:15:09 UTC
At what dpi?  I can't reproduce it.  Play with the numbers in the following command line and see which ones hit the bug for you:

$ pango-view  --text ц --font 'dejavu sans 8pt' --dpi 96

Also, a screenshot helps.  At the end, nothing I can do about it here.  Needs to be reported upstream to FreeType.

Comment 8 Alexey Torkhov 2008-11-22 09:32:45 UTC
Created attachment 324400 [details]
Bad rendering at 8pt

Here are screenshots from gnome charmap at 8 and 10 pt.
I was unable to reproduce it with pango-view too.

Comment 9 Alexey Torkhov 2008-11-22 09:33:15 UTC
Created attachment 324401 [details]
Bad rendering at 10pt

Comment 10 Alexey Torkhov 2008-11-22 11:23:26 UTC
I've played with font setting in gnome appearance properties, it now renders properly for 10 pt, and I can't find setting with wrong rendering at that size.
But it renders without the tail for 8 pt with Medium and Full hinting.

Resolution is set to 86 dpi in that dialog.

Comment 11 Nicolas Mailhot 2008-11-22 12:11:10 UTC
86dpi is borderline for good text rendering. Microsoft has been targetting 100dpi for example for at least a decade in windows (reduced to 96 to give margins to shoddy hardware manufacturers).

If your hardware is really 86dpi (as in actual pixels per inch), there's not much the best font can do (screens sold to computer gamers have often this kind of low pixel density but gamers are not known for reading lots of text)

In paper print, for example, standard is 600dpi and 150 is already a bad-quality magazine.

Comment 12 Ben Laenen 2008-11-22 12:18:13 UTC
(In reply to comment #11)
> 86dpi is borderline for good text rendering. Microsoft has been targetting
> 100dpi for example for at least a decade in windows (reduced to 96 to give
> margins to shoddy hardware manufacturers).
> 
> If your hardware is really 86dpi (as in actual pixels per inch), there's not
> much the best font can do (screens sold to computer gamers have often this kind
> of low pixel density but gamers are not known for reading lots of text)
> 
> In paper print, for example, standard is 600dpi and 150 is already a
> bad-quality magazine.

Low resolution or not, at these sizes there's no reason the autohinter shouldn't be able to render the tail correctly. It manages to do it with щ just fine as can be seen on the screenshots.

Comment 13 Bug Zapper 2009-06-10 11:09:28 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 14 Noura El hawary 2009-07-15 09:04:49 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.